Subject: bug#19932: 25.0.50; doc string of `elisp--eval-last-sexp'

From: Drew Adams <[email-masked]>
Date: Wed, 25 Feb 2015 08:45:04 -0800 (PST)

> > And "private" means nothing in the context of Emacs Lisp.
> 
> It means plenty, even if you choose to ignore it. For instance,
> third-party code mustn't call private functions, thus it's considerably
> less important to document them.

There is nothing in Emacs Lisp that 3rd-party code "mustn't call".

There may be things that code should not call, without inflicting
pain somewhere.  But that is exactly true and just much true of
"core" (aka delivered-with-Emacs) Lisp code as it is true of
3rd-party Lisp code.